Subject: RE: bug#5040: 23.1; w32-register-hot-key problem

From: "Drew Adams" <[email-masked]>
Date: Wed, 25 Nov 2009 14:01:46 -0800

> > As I said:
> > 1. It works perfectly after the first time you hit `M-TAB'.
> > 2. It works perfectly in Emacs 20 and 21, even the first time.
> >
> > So AFAICS what you say is simply not true, at least for me 
> > (Windows XP SP3).
> 
> Why does it matter that it worked for you before?

Huh? Who said anything about "before"?

It works for me NOW. And probably for others too.
It works in Emacs 20 and 21 always,
   including the first time I hit `M-TAB'.
It works in Emacs 22 and 23 also,
   EXCEPT for the first time I hit `M-TAB'.

This is a regression starting in Emacs 22. We know it is possible for it to work
starting with the first `M-TAB', because it does (still) work in older Emacs
versions (now, not "before').